"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GaugeRuntime = void 0;
const grpc_js_1 = require("@grpc/grpc-js");
const services_grpc_pb_1 = require("./gen/services_grpc_pb");
const StaticLoader_1 = require("./loaders/StaticLoader");
const RunnerServiceImpl_1 = require("./RunnerServiceImpl");
class GaugeRuntime {
    start() {
        const loader = new StaticLoader_1.StaticLoader();
        loader.loadImplementations();
        const server = new grpc_js_1.Server();
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        server.addService(services_grpc_pb_1.RunnerService, new RunnerServiceImpl_1.RunnerServiceImpl(server, loader));
        server.bindAsync("127.0.0.1:0", grpc_js_1.ServerCredentials.createInsecure(), (err, port) => {
            if (err) {
                console.log(err);
                throw err;
            }
            console.log(`Listening on port:${port}`);
        });
    }
}
exports.GaugeRuntime = GaugeRuntime;
