"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecutionEndingProcessor = void 0;
const HookRegistry_1 = require("../models/HookRegistry");
const HookType_1 = require("../models/HookType");
const HookExecutionProcessor_1 = require("./HookExecutionProcessor");
class ExecutionEndingProcessor extends HookExecutionProcessor_1.HookExecutionProcessor {
    constructor() {
        super();
        this.hookType = HookType_1.HookType.AfterSuite;
    }
    getApplicableHooks() {
        return HookRegistry_1.default.get(this.hookType, []);
    }
    getExecutionInfo(message) {
        const req = message;
        return req.getCurrentexecutioninfo();
    }
}
exports.ExecutionEndingProcessor = ExecutionEndingProcessor;
