"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Screenshot = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const Util_1 = require("../utils/Util");
class Screenshot {
    static capture() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                if (this.customScreenshotWriter != null) {
                    const out = this.customScreenshotWriter();
                    if (out.constructor.name === Promise.name) {
                        return yield out;
                    }
                    else {
                        return out;
                    }
                }
                else if (this.customScreenGrabber != null) {
                    let data;
                    const out = this.customScreenGrabber();
                    if (out.constructor.name === Promise.name) {
                        data = yield out;
                    }
                    else {
                        data = out;
                    }
                    const file = Util_1.Util.getUniqueScreenshotFileName();
                    (0, fs_1.writeFileSync)(file, data);
                    return (0, path_1.basename)(file);
                }
                else {
                    return this.captureScreenshot();
                }
            }
            catch (error) {
                console.log(error);
            }
            return Promise.resolve("");
        });
    }
    static captureScreenshot() {
        try {
            const filename = Util_1.Util.getUniqueScreenshotFileName();
            Util_1.Util.spawn("gauge_screenshot", [filename]);
            return (0, path_1.basename)(filename);
        }
        catch (error) {
            // eslint-disable-next-line @typescript-eslint/restrict-template-expressions
            throw new Error(`\nFailed to take screenshot using gauge_screenshot.\n${error}`);
        }
    }
    static setCustomScreenGrabber(grabber) {
        this.customScreenGrabber = grabber;
    }
    static setCustomScreenshotWriter(writer) {
        this.customScreenshotWriter = writer;
    }
}
exports.Screenshot = Screenshot;
